<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.html#index_a"><span>a</span></a></li>
      <li><a href="functions_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_h.html#index_h"><span>h</span></a></li>
      <li class="current"><a href="functions_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_j.html#index_j"><span>j</span></a></li>
      <li><a href="functions_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_q.html#index_q"><span>q</span></a></li>
      <li><a href="functions_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_x.html#index_x"><span>x</span></a></li>
      <li><a href="functions_y.html#index_y"><span>y</span></a></li>
      <li><a href="functions_z.html#index_z"><span>z</span></a></li>
      <li><a href="functions_~.html#index_~"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_i.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a class="anchor" id="index_i"></a>- i -</h3><ul>
<li>I2cPort()
: <a class="el" href="classframework_1_1core_1_1_i2c_port.html#adb614ecad333c8cd4fced2060150d932">framework::core::I2cPort</a>
</li>
<li>img
: <a class="el" href="classframework_1_1core_1_1cvimage.html#a5cb3c8860d70215f05d111b4815956df">framework::core::cvimage</a>
</li>
<li>ImgThreshold()
: <a class="el" href="classframework_1_1filter_1_1_img_threshold.html#aef21439ce68d533239ff182d8b19e50f">framework::filter::ImgThreshold</a>
</li>
<li>Imu()
: <a class="el" href="classframework_1_1sensor_1_1_imu.html#ae74be1b2f0c8fbafd8fd8807d3e56e80">framework::sensor::Imu</a>
</li>
<li>ImuData()
: <a class="el" href="classframework_1_1core_1_1_imu_data.html#ad1f5ef8390730dbe868f25fba9248cd9">framework::core::ImuData</a>
</li>
<li>Information()
: <a class="el" href="classframework_1_1core_1_1_object.html#aec1974099e78e731ba9c3dd1ed05de94">framework::core::Object</a>
</li>
<li>input
: <a class="el" href="classframework_1_1filter_1_1_control_law.html#a6c027802358d0c434d9848848cf98296">framework::filter::ControlLaw</a>
</li>
<li>Invalid
: <a class="el" href="classframework_1_1sensor_1_1_gps.html#a3bec6c638e73b402193ad6a2141cb070a4bbb8f967da6d1a610596d7257179c2b">framework::sensor::Gps</a>
</li>
<li>io_data()
: <a class="el" href="classframework_1_1core_1_1io__data.html#a500e7488e41a484be23b29e13645cf8b">framework::core::io_data</a>
</li>
<li>IODataElement()
: <a class="el" href="classframework_1_1core_1_1_i_o_data_element.html#ada14562a1aac6f2b96b6a80252ed8479">framework::core::IODataElement</a>
</li>
<li>IODevice()
: <a class="el" href="classframework_1_1core_1_1_i_o_device.html#a38daac1daa593059f052e1f8fbca5644">framework::core::IODevice</a>
</li>
<li>IsBatteryLow()
: <a class="el" href="classframework_1_1sensor_1_1_battery_monitor.html#a7dc52be9f5270a9c7e879a908cf938ce">framework::sensor::BatteryMonitor</a>
</li>
<li>IsChecked()
: <a class="el" href="classframework_1_1gui_1_1_check_box.html#a60ffc767713d96d68d6f147c2ca2bf6c">framework::gui::CheckBox</a>
</li>
<li>IsConnected()
: <a class="el" href="classframework_1_1sensor_1_1_radio_receiver.html#ab7a2af7a2662929cfe572d54db39c221">framework::sensor::RadioReceiver</a>
</li>
<li>IsDisplayingErrors()
: <a class="el" href="classframework_1_1core_1_1_framework_manager.html#a3d58cacaea8f578ecd99ccfa97978f80">framework::core::FrameworkManager</a>
</li>
<li>isEnabled()
: <a class="el" href="classframework_1_1gui_1_1_widget.html#a472d499749ee9acadc1d446387cbbbe7">framework::gui::Widget</a>
</li>
<li>IsLogging()
: <a class="el" href="classframework_1_1core_1_1_framework_manager.html#a2877c46562eb2f44d45806f24883f463">framework::core::FrameworkManager</a>
</li>
<li>IsPeriodSet()
: <a class="el" href="classframework_1_1core_1_1_thread.html#afb56b9c909587242815270979452f38e">framework::core::Thread</a>
</li>
<li>IsRunning()
: <a class="el" href="classframework_1_1filter_1_1_trajectory_generator1_d.html#a84f558fc3e53c980eb9f212a2121d078">framework::filter::TrajectoryGenerator1D</a>
, <a class="el" href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#a132ef43ef8ede4dba24b05b5f81fff4d">framework::filter::TrajectoryGenerator2DCircle</a>
</li>
<li>IsSuspended()
: <a class="el" href="classframework_1_1core_1_1_thread.html#a02931f74dbd44574c48a48ef0101164b">framework::core::Thread</a>
</li>
<li>IsTracked()
: <a class="el" href="classframework_1_1sensor_1_1_vrpn_object.html#a6c48f91a4a9f4fc39b4c33f63e8d5c6d">framework::sensor::VrpnObject</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Tue Apr 12 2016 16:29:00 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
